Free Financial Market API Market Holidays & Market Status API Market Status Trading Hours Financial Market Data API REST API Query the current market status of a specified country or region, returning whether the market is open, status, trading sessions, timezone, and local time.

Please select

Market Status Query

GET
/market/status

Request Parameters

codeenumRequired
Hong Kong
Country/Region code

Response Parameters

codenumber
Response code
msgstring
Response description
dataarray(object)
Response result
cstring
Country/Region code
rstring
Country/Region name
ostring
Whether the market is open
sstring
Market status; `PRE_MARKET` Pre-market, `OPEN` Market open, `LUNCH_BREAK` Lunch break, `POST_MARKET` Post-market, `CLOSED` Non-trading hours, `CLOSED_WEEKEND` Weekend closed, `CLOSED_HOLIDAY` Holiday closed, `HOLIDAY_HALF_DAY` Half-day holiday trading
hstring
Holiday name of the day, only available when `status = CLOSED_HOLIDAY / HOLIDAY_HALF_DAY`
tstring
Trading session configuration
zstring
Timezone code
lstring
Current local time in the region, format `yyyy-MM-dd HH:mm:ss`

Code Examples

import requests

url = "https://api.itick.org/market/status?code=HK"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GET
https://api.itick.org/market/status?code=HK

Response Result

{
  "code": 0,
  "msg": "ok",
  "data": {
    "c": "es",
    "r": "Spain",
    "o": false,
    "s": "CLOSED_WEEKEND",
    "h": null,
    "t": "08:00-09:00,09:00-17:30,",
    "z": "Europe/Madrid",
    "l": "2026-07-05 18:47:44"
  }
}
  1. Market Holidays

    Provides accurate and timely global financial market holiday data API interface, covering major exchanges including A-shares, US stocks, and Hong Kong stocks. Featuring reliable data sources, timely updates, easy integration via RESTful API, and a free trial available.

  2. Crypto MarketReal-Time Tick

    Covers in-depth data fields including latest prices, bid and ask prices, 24-hour trading volume for thousands of cryptocurrencies such as Bitcoin (BTC) and Ethereum (ETH). With low latency and high frequency, it provides core data support for your quantitative trading, market dashboards, and DApps. Free trial available.